import request from '@/utils/request'

// 查询能源类型信息列表
export function listType(query) {
  return request({
    url: '/ems/type/list',
    method: 'get',
    params: query
  })
}

// 查询能源类型信息详细
export function getType(objid) {
  return request({
    url: '/ems/type/' + objid,
    method: 'get'
  })
}

// 新增能源类型信息
export function addType(data) {
  return request({
    url: '/ems/type',
    method: 'post',
    data: data
  })
}

// 修改能源类型信息
export function updateType(data) {
  return request({
    url: '/ems/type',
    method: 'put',
    data: data
  })
}

// 删除能源类型信息
export function delType(objid) {
  return request({
    url: '/ems/type/' + objid,
    method: 'delete'
  })
}
